Subject: Re: linux-next: build failure after merge of the sound tree

From: Christoph Hellwig <[email-masked]>
Date: Fri, 17 Jul 2020 08:50:30 +0200

On Fri, Jul 17, 2020 at 08:34:47AM +0200, Takashi Iwai wrote:
> On Fri, 17 Jul 2020 07:33:24 +0200,
> Christoph Hellwig wrote:
> > 
> > On Fri, Jul 17, 2020 at 01:01:12PM +1000, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > After merging the sound tree, today's linux-next build (x86_64
> > > allmodconfig) failed like this:
> > 
> > No, the sound commit needs to be reverted.  Drivers has absolutely not
> > business poking into DMA layer internals.
> 
> OK, I'll drop that stuff again.  It was the thing posted in the thread
> of DMA regression with AMD SEV on 5.8-rc1.  Meanwhile it was fixed in
> the proper Kconfig dependency.

We have other x86 changes that will not support just remapping stuff
ignoring the API in the pipe, so this will need to get sorted out.  And
with that I mean sorted out properly instead of poking into undocumented
DMA API internals and coming to the wrong conclusions again..